<?php

namespace Src\Modules\JsonObjects\Interfaces\Infrastructure;

use Src\Modules\JsonObjects\Interfaces\Infrastructure\IDirsQuery;

interface IDirsStorage
{
    public function setQuery(IDirsQuery $query);
    public function setParentQuery(IDirsQuery $query);
    public function getById($id, array $dsl = []): array;
    public function getByParentId($parentId, array $dsl = []): array;
    public function getIdsInDir(string $materialPath): array;
}
